Start Typebot
curl --request POST \
--url https://{server-url}/typebot/start/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"url": "<string>",
"typebot": "<string>",
"remoteJid": "<string>",
"startSession": true,
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://{server-url}/typebot/start/{instance}"
payload = {
"url": "<string>",
"typebot": "<string>",
"remoteJid": "<string>",
"startSession": True,
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
typebot: '<string>',
remoteJid: '<string>',
startSession: true,
variables: [{name: '<string>', value: '<string>'}]
})
};
fetch('https://{server-url}/typebot/start/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{server-url}/typebot/start/{instance}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'typebot' => '<string>',
'remoteJid' => '<string>',
'startSession' => true,
'variables' => [
[
'name' => '<string>',
'value' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"apikey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{server-url}/typebot/start/{instance}"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"typebot\": \"<string>\",\n \"remoteJid\": \"<string>\",\n \"startSession\": true,\n \"variables\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("apikey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{server-url}/typebot/start/{instance}")
.header("apikey", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"typebot\": \"<string>\",\n \"remoteJid\": \"<string>\",\n \"startSession\": true,\n \"variables\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{server-url}/typebot/start/{instance}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["apikey"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"typebot\": \"<string>\",\n \"remoteJid\": \"<string>\",\n \"startSession\": true,\n \"variables\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.Typebot
Start Typebot
Start typebot
POST
/
typebot
/
start
/
{instance}
Start Typebot
curl --request POST \
--url https://{server-url}/typebot/start/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"url": "<string>",
"typebot": "<string>",
"remoteJid": "<string>",
"startSession": true,
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://{server-url}/typebot/start/{instance}"
payload = {
"url": "<string>",
"typebot": "<string>",
"remoteJid": "<string>",
"startSession": True,
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
typebot: '<string>',
remoteJid: '<string>',
startSession: true,
variables: [{name: '<string>', value: '<string>'}]
})
};
fetch('https://{server-url}/typebot/start/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{server-url}/typebot/start/{instance}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'typebot' => '<string>',
'remoteJid' => '<string>',
'startSession' => true,
'variables' => [
[
'name' => '<string>',
'value' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"apikey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{server-url}/typebot/start/{instance}"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"typebot\": \"<string>\",\n \"remoteJid\": \"<string>\",\n \"startSession\": true,\n \"variables\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("apikey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{server-url}/typebot/start/{instance}")
.header("apikey", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"typebot\": \"<string>\",\n \"remoteJid\": \"<string>\",\n \"startSession\": true,\n \"variables\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{server-url}/typebot/start/{instance}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["apikey"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"typebot\": \"<string>\",\n \"remoteJid\": \"<string>\",\n \"startSession\": true,\n \"variables\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.Authorizations
Your authorization key header
Path Parameters
Name of the instance
Body
application/json
Response
200
Ok

